/**************************************************************************
 * ESTILOS PARA IMAGENES DE FONDO DEL PERFIL DEL USUARIO - INICIO
 **************************************************************************/
.sidebar-toolbar .sidebar-toolbar-background.profile-visitor {
    background-image: url("../img/profile-visitor.jpg");
}
.index-background {
    display: block;
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    background-color: #263238;
    background-image: url("../img/background-index.jpg");
    background-repeat: no-repeat;
    background-position: left top;
    background-size: cover;
}
/**************************************************************************
 * ESTILOS PARA IMAGEN DE FONDO DEL PERFIL DEL USUARIO - FIN
 **************************************************************************/

/**************************************************************************
 * ESTILOS PARA IMAGEN EN SELECTOR DE ARCHIVOS - INICIO
 **************************************************************************/
.fileinput .fileinput-preview.fileinput-exists > img, .fileinput .fileinput-new > img {
    border-radius: 50%!important;
    width: 128px !important;
    height: 128px !important;
}
/**************************************************************************
 * ESTILOS PARA IMAGEN EN SELECTOR DE ARCHIVOS - FIN
 **************************************************************************/

/**************************************************************************
 * ESTILOS PARA PERSONALIZAR LAS VENTANAS MODALES - INICIO
 **************************************************************************/
.modal-header-center {
    display: block;
    text-align: center!important;
}
.modal-body-scrollable {
    /*max-height: calc(100vh - 100px);*/
    /*overflow-y: auto;*/
    height:300px;
    overflow:scroll
}
/**************************************************************************
 * ESTILOS PARA PERSONALIZAR LAS VENTANAS MODALES - FIN
 **************************************************************************/

/**************************************************************************
 * ESTILOS PARA PERSONALIZAR EL CONTENEDOR DE ELEMENTOS EN PAGINAS - INICIO
 **************************************************************************/
 /*INDEX*/
#elements_container {
    height: calc(100vh - 355px)!important;
    overflow: auto!important;
}
/*LOOK PROMOTIONS*/
#accordion_categories {
    max-height: calc(50vh)!important;
    overflow: auto!important;
}
/*LOOK BRANDS*/
#brands {
    max-height: calc(33vh)!important;
    overflow: auto!important;
}
/**************************************************************************
 * ESTILOS PARA PERSONALIZAR EL CONTENEDOR DE ELEMENTOS EN PAGINAS - FIN
 **************************************************************************/

/**************************************************************************
 * ESTILOS PARA PERSONALIZAR LA BARRA DE HERRAMIENTAS (FOOTER) - INICIO
 **************************************************************************/
.tooltip-toolbar {
    top: -5px!important;
    left: -15px!important;
}
/**************************************************************************
 * ESTILOS PARA PERSONALIZAR LA BARRA DE HERRAMIENTAS (FOOTER) - FIN
 **************************************************************************/

/**************************************************************************
 * ESTILOS PARA PERSONALIZAR LA TABLA DE NOTIFICACIONES - INICIO
 **************************************************************************/
.notifications-table {
    border-collapse: separate;
    border-spacing: 5px;
}
.gray-border {
    border: gray 1px solid;
}
.text-middle {
    position: relative;
    top: 50%;
    transform: translateY(50%);
}
/*.notifications-table > tbody > tr > td > div > img, .notifications-table > tbody > tr > td > div > div > img, #notification_image_store {*/
    /*width: 100%;*/
/*}*/
.subcategories > div, #brands > div {
    display: table;
}
/**************************************************************************
 * ESTILOS PARA PERSONALIZAR LA TABLA DE NOTIFICACIONES - FIN
 **************************************************************************/

/**************************************************************************
 * ESTILOS PARA PERSONALIZAR LOS LIST-GROUP - INCIO
 **************************************************************************/
.list-group-item.active {
    z-index: 0;
}
/**************************************************************************
 * ESTILOS PARA PERSONALIZAR LOS LIST-GROUP - FIN
 **************************************************************************/

/**************************************************************************
 * ESTILOS GENERALES - INICIO
 **************************************************************************/
/* ---- custom-button ---- */
.custom-button {
    position: relative;
    float: inside;
    margin: 5px;
    padding: 0px;
    /*border-radius: 7px;*/
    background: #FFFFFF;
    border: 0px;
    color: var(--color2) !important;
    cursor: pointer;
    text-transform: uppercase;
}
.custom-button img {
    /*height: 15vh;*/
    width: 100%;
    /*border-radius: 7px;*/
}
.custom-button p {
    margin: 0px;
    width: 100%;
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
    text-align: left!important;
    padding: 2px;
}
.custom-button .custom-checkbox {
    position: absolute;
    top: 5px;
    left: 5px;
}
.custom-button .custom-checkbox .custom-control-indicator {
    top: 0;
}
.custom-button:hover {
    /*background-color: rgba(3, 169, 244, 0.3);*/
    text-shadow: 0 1px hsla(0, 0%, 100%, 0.5);
    color: #222;
}
.custom-button:active,
.custom-button.selected {
    background-color: var(--color1  );
    color: white!important;
}
.custom-button.selected {
    color: white!important;
    text-shadow: 0 -1px hsla(0, 0%, 0%, 0.8);
}
.custom-button:active {
    box-shadow: inset 0 1px 10px hsla(0, 0%, 0%, 0.8);
}
/*.ui-accordion-content .custom-button:hover {*/
    /*background-color: rgba(3, 169, 244, 0.3);*/
/*}*/
.ui-accordion-content .custom-button:active,
.ui-accordion-content .custom-button.selected {
    background-color: var(--color2);
    color: white!important;
}
/* ---- custom-button ---- */

.application-logo {
    display: block;
    margin: 0 auto;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    width: 56px;
    height: 102px;
    background-color: transparent;
    background-image: url("../img/logo.png");
    background-repeat: no-repeat;
    background-position: center center;
    background-size: cover;
    z-index: 1;
}
.application-logo.sm {
    width: 40px;
    height: 40px;
    margin: initial;
}
.application-logo-mall {
    display: block;
    margin: 0 auto;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    width: 102px;
    height: 102px;
    background-color: transparent;
    background-image: url("../img/logo-mall.png");
    background-repeat: no-repeat;
    background-position: center center;
    background-size: cover;
    z-index: 1;
}
.notification-no-readed {
    background-color: var(--color3) !important;
    color: #fff !important;
    font-weight: bold !important;
}
.hidden {
    display: none;
}
.history-back {
    font-size: 1.8rem;
    margin-top: -0.5rem;
    color: var(--color2);
}
.text-color3 {
    color: var(--color3);
}
.text-black {
    color: black;
}
.text-italic {
    font-style: italic;
}
.background-lightgray {
    color: var(--color1);
    background-color: lightgray;
    border-color: lightgray;
}
.background-white {
    color: var(--color2);
    background-color: #fff;
    border-color: #fff;
}
.background-color-2 {
    color: #fff;
    background-color: var(--color2);
    border-color: var(--color2);
}
.background-color-3 {
    color: #fff;
    background-color: var(--color3);
    border-color: var(--color3);
}
.background-1 {
    color: #fff;
    background-color: #900C3F;
    border-color: #900C3F;
}
.background-2 {
    color: #fff;
    background-color: #C70039;
    border-color: #C70039;
}
.background-3 {
    color: #fff;
    background-color: #FF5733;
    border-color: #FF5733;
}
.background-4 {
    color: #fff;
    background-color: #3b0f45;
    border-color: #3b0f45;
}
.only-bottom-border {
    border: 0!important;
    border-bottom: 1px solid #ced4da!important;
    outline: 0!important;
    width: 100%;
}
.social-icon {
    font-size: 2rem;
}
.social-icon > em:hover {
    background-color: transparent;
    color: var(--color3);
    transition: all .2s ease;
    transform: scale(2);
    font-size: 2.5rem;
}
.no-decoration-link {
    text-decoration: none!important;
    color: transparent!important;
}
/**************************************************************************
 * ESTILOS GENERALES - FIN
 **************************************************************************/
